Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class AnnotationConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.ConstantExpression
                  org.codehaus.groovy.ast.expr.AnnotationConstantExpression

    public class AnnotationConstantExpression

extends ConstantExpression

Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

Version:
  $Revision: 3264 $
Author:
  Alex Popescu

Field Summary

Fields inherited from class org.codehaus.groovy.ast.expr.ConstantExpression
`EMPTY_STRING, EMTPY_EXPRESSION, FALSE, NULL, TRUE, VOID`

Constructor Summary
`AnnotationConstantExpression(AnnotationNode node)`

Method Summary
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.ConstantExpression
`getText, getValue, toString, transformExpression`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ConstantExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD